<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" xmlns:e="http://projectmallard.org/experimental/" type="guide" style="task" id="beginner.vala" xml:lang="gl">

<info>
  <title type="text">Tutorial for beginners (Vala)</title>
  <link type="guide" xref="vala#code-samples"/>
  <revision version="0.1" date="2012-02-19" status="stub"/>

  <desc>Unha guía para principiantes á programación de IGU usando GTK+, incluíndo exemplos de código e exercicios de práctica.</desc>
  <credit type="author">
    <name>Tiffany Antopolski</name>
    <email its:translate="no">tiffany.antopolski@gmail.com</email>
  </credit>
    <credit type="editor">
      <name>Marta Maria Casetti</name>
      <email its:translate="no">mmcasettii@gmail.com</email>
      <years>2013</years>
    </credit>

    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Fran Dieguez</mal:name>
      <mal:email>frandieguez@gnome.org</mal:email>
      <mal:years>2012-2013.</mal:years>
    </mal:credit>
  </info>

<title>Tutorial for beginners and code samples</title>
<synopsis>
 <p>Although these tutorials are designed for beginners, we can't cover all the basics.  Before attempting to follow these tutorials, you are expected to be familiar with the following concepts:</p>
<list type="numbered">
  <item><p>Programación orientada a obxectos</p></item>
  <item><p>O linguaxe de programación Vala:</p>
    <list>
     <item><p><link href="https://live.gnome.org/Vala/Tutorial">The Vala Tutorial</link></p></item>
     <item><p><link href="https://live.gnome.org/Vala/Documentation#Sample_Code">Sample Vala code</link></p></item>
    </list>
  </item>
</list>

<p>By following these tutorials you will learn the basics of GUI programming using GTK+.</p>
</synopsis>

<section id="tutorials">
<title>Titoriais</title>
</section>

<section id="samples">
<title>Exemplos de código</title>
  <p>Para executar os exemplos de código</p>
  <steps>
    <item><p>Copie e pegue o código en <var>nomedeficheiro</var>vala</p></item>
    <item><p>Escriba no terminal</p>
          <screen>valac --pkg gtk+-3.0 <var>nome_ficheiro</var>.vala</screen>
          <screen>./<var>nome_ficheiro</var></screen>
    </item>
  </steps>

  <section id="windows" style="2column"><title>Xanelas</title>
    <p/>
  </section>
  <section id="display-widgets" style="2column"><title>Widgets de visualización</title>
  </section>
  <section id="buttons" style="2column"><title>Botóns e casillas</title>
  </section>
  <section id="entry" style="2column"><title>Entrada de datos numérica e de texto</title>
  </section>
  <section id="multiline" style="2column"><title>Editor de texto multiliña</title>
  </section>
  <section id="menu-combo-toolbar" style="2column"><title>Widgets de menú, caixa combinada e barra de ferramentas</title>
  </section>
  <section id="treeview"><title>Widget TreeView</title>
  </section>
  <section id="selectors"><title>Selectores</title>
    <section id="file-selectors"><title>Selectores de ficheiros</title>
    </section>
    <section id="font-selectors"><title>Selectores de tipos de letra</title>
    </section>
    <section id="color-selectors"><title>Selectores de color</title>
    </section>
  </section>
  <section id="layout"><title>Contedores da distribución</title>
  </section>
  <section id="ornaments"><title>Adornos</title>
  </section>
  <section id="scrolling"><title>Desprazamento</title>
  </section>
  <section id="misc"><title>Varios</title>
  </section>
</section>

<section id="exercises">
<title>Exercicios</title>
</section>

</page>
